# This file is generated by gyp; do not edit.

TOOLSET := target
TARGET := pledge
DEFS_Debug := \
	'-DNODE_GYP_MODULE_NAME=pledge' \
	'-DUSING_UV_SHARED=1' \
	'-DUSING_V8_SHARED=1' \
	'-DV8_DEPRECATION_WARNINGS=1' \
	'-DV8_DEPRECATION_WARNINGS' \
	'-DV8_IMMINENT_DEPRECATION_WARNINGS' \
	'-D_LARGEFILE_SOURCE' \
	'-D_FILE_OFFSET_BITS=64' \
	'-D__STDC_FORMAT_MACROS' \
	'-DOPENSSL_NO_PINSHARED' \
	'-DOPENSSL_THREADS' \
	'-DOPENSSL_NO_ASM' \
	'-DBUILDING_NODE_EXTENSION' \
	'-DDEBUG' \
	'-D_DEBUG' \
	'-DV8_ENABLE_CHECKS'

# Flags passed to all source files.
CFLAGS_Debug := \
	-fPIC \
	-pthread \
	-Wall \
	-Wextra \
	-Wno-unused-parameter \
	-I/usr/local/include \
	-I/usr/local/include \
	-g \
	-O0

# Flags passed to only C files.
CFLAGS_C_Debug :=

# Flags passed to only C++ files.
CFLAGS_CC_Debug := \
	-fno-rtti \
	-fno-exceptions \
	-std=gnu++1y

INCS_Debug := \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/include/node \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/src \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/openssl/config \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/openssl/openssl/include \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/uv/include \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/zlib \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/v8/include

DEFS_Release := \
	'-DNODE_GYP_MODULE_NAME=pledge' \
	'-DUSING_UV_SHARED=1' \
	'-DUSING_V8_SHARED=1' \
	'-DV8_DEPRECATION_WARNINGS=1' \
	'-DV8_DEPRECATION_WARNINGS' \
	'-DV8_IMMINENT_DEPRECATION_WARNINGS' \
	'-D_LARGEFILE_SOURCE' \
	'-D_FILE_OFFSET_BITS=64' \
	'-D__STDC_FORMAT_MACROS' \
	'-DOPENSSL_NO_PINSHARED' \
	'-DOPENSSL_THREADS' \
	'-DOPENSSL_NO_ASM' \
	'-DBUILDING_NODE_EXTENSION'

# Flags passed to all source files.
CFLAGS_Release := \
	-fPIC \
	-pthread \
	-Wall \
	-Wextra \
	-Wno-unused-parameter \
	-I/usr/local/include \
	-I/usr/local/include \
	-O3 \
	-fno-omit-frame-pointer

# Flags passed to only C files.
CFLAGS_C_Release :=

# Flags passed to only C++ files.
CFLAGS_CC_Release := \
	-fno-rtti \
	-fno-exceptions \
	-std=gnu++1y

INCS_Release := \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/include/node \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/src \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/openssl/config \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/openssl/openssl/include \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/uv/include \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/zlib \
	-I/usr/ports/pobj/node-12.22.6/node-v12.22.6/deps/v8/include

OBJS := \
	$(obj).target/$(TARGET)/pledge.o

# Add to the list of files we specially track dependencies for.
all_deps += $(OBJS)

# CFLAGS et al overrides must be target-local.
# See "Target-specific Variable Values" in the GNU Make manual.
$(OBJS): TOOLSET := $(TOOLSET)
$(OBJS): GYP_CFLAGS := $(DEFS_$(BUILDTYPE)) $(INCS_$(BUILDTYPE))  $(CFLAGS_$(BUILDTYPE)) $(CFLAGS_C_$(BUILDTYPE))
$(OBJS): GYP_CXXFLAGS := $(DEFS_$(BUILDTYPE)) $(INCS_$(BUILDTYPE))  $(CFLAGS_$(BUILDTYPE)) $(CFLAGS_CC_$(BUILDTYPE))

# Suffix rules, putting all outputs into $(obj).

$(obj).$(TOOLSET)/$(TARGET)/%.o: $(srcdir)/%.cc FORCE_DO_CMD
	@$(call do_cmd,cxx,1)

# Try building from generated source, too.

$(obj).$(TOOLSET)/$(TARGET)/%.o: $(obj).$(TOOLSET)/%.cc FORCE_DO_CMD
	@$(call do_cmd,cxx,1)

$(obj).$(TOOLSET)/$(TARGET)/%.o: $(obj)/%.cc FORCE_DO_CMD
	@$(call do_cmd,cxx,1)

# End of this set of suffix rules
### Rules for final target.
LDFLAGS_Debug := \
	-pthread \
	-rdynamic \
	-Wl,-z,wxneeded

LDFLAGS_Release := \
	-pthread \
	-rdynamic \
	-Wl,-z,wxneeded

LIBS := \
	-L/usr/local/lib

$(obj).target/pledge.node: GYP_LDFLAGS := $(LDFLAGS_$(BUILDTYPE))
$(obj).target/pledge.node: LIBS := $(LIBS)
$(obj).target/pledge.node: TOOLSET := $(TOOLSET)
$(obj).target/pledge.node: $(OBJS) FORCE_DO_CMD
	$(call do_cmd,solink_module)

all_deps += $(obj).target/pledge.node
# Add target alias
.PHONY: pledge
pledge: $(builddir)/pledge.node

# Copy this to the executable output path.
$(builddir)/pledge.node: TOOLSET := $(TOOLSET)
$(builddir)/pledge.node: $(obj).target/pledge.node FORCE_DO_CMD
	$(call do_cmd,copy)

all_deps += $(builddir)/pledge.node
# Short alias for building this executable.
.PHONY: pledge.node
pledge.node: $(obj).target/pledge.node $(builddir)/pledge.node

# Add executable to "all" target.
.PHONY: all
all: $(builddir)/pledge.node

